Update Stripe Configuration
curl --request PUT \
--url https://api.devkit4ai.com/api/v1/payments/stripe/projects/{project_id}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_secret_key": "<string>",
"test_publishable_key": "<string>",
"test_webhook_secret": "<string>",
"live_secret_key": "<string>",
"live_publishable_key": "<string>",
"live_webhook_secret": "<string>"
}
'import requests
url = "https://api.devkit4ai.com/api/v1/payments/stripe/projects/{project_id}/config"
payload = {
"test_secret_key": "<string>",
"test_publishable_key": "<string>",
"test_webhook_secret": "<string>",
"live_secret_key": "<string>",
"live_publishable_key": "<string>",
"live_webhook_secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
test_secret_key: '<string>',
test_publishable_key: '<string>',
test_webhook_secret: '<string>',
live_secret_key: '<string>',
live_publishable_key: '<string>',
live_webhook_secret: '<string>'
})
};
fetch('https://api.devkit4ai.com/api/v1/payments/stripe/projects/{project_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"has_test_credentials": true,
"has_live_credentials": true,
"created_at": "2023-11-07T05:31:56Z",
"test_secret_key_masked": "<string>",
"test_publishable_key_masked": "<string>",
"test_webhook_secret_masked": "<string>",
"live_secret_key_masked": "<string>",
"live_publishable_key_masked": "<string>",
"live_webhook_secret_masked": "<string>",
"test_configured_at": "2023-11-07T05:31:56Z",
"live_configured_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stripe Configuration
Update Stripe Configuration
Create or update Stripe payment configuration for a project. Supports both test and live credentials.
PUT
/
api
/
v1
/
payments
/
stripe
/
projects
/
{project_id}
/
config
Update Stripe Configuration
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
Successful Response
Stripe configuration response with masked credentials.
⌘I

